### Method

# Ggit DiffBinaryFile ref

#### Declaration [src]

    GgitDiffBinaryFile*
    ggit_diff_binary_file_ref (
      GgitDiffBinaryFile* file
    )

#### Description [src]

Atomically increments the reference count of `file` by one. This function is MT-safe and may be called from any thread.

#### Return value

Type: `GgitDiffBinaryFile`

A `GgitDiffBinaryFile`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.